# Class CIM_Keystore
extends CIM_CredentialStore

CIM_Keystore class represents a keystore, collection of key based credentials such as certificates. Keystore can be used to store the certificates that are used for the client role of the validation of the served up certificates, or for the server role, serving up the certificates to the client for the validation. Certificates in the keystore can be revoked/invalidated by the means of application of Certificate Revocation List (CRL).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CredentialStore
|
+--CIM_Keystore

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

CIM_Keystore class represents a keystore, collection of key based credentials such as certificates. Keystore can be used to store the certificates that are used for the client role of the validation of the served up certificates, or for the server role, serving up the certificates to the client for the validation. Certificates in the keystore can be revoked/invalidated by the means of application of Certificate Revocation List (CRL).

UMLPackagePath | string | CIM::User::Credential
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Usage | uint16 |

Description

string

Usage of the keystore. 2 - Owned value means CIM_Keystore instance represents a collection of key based credentials that belong to parties local to the manager of the keystore. 3 - Trusted value means CIM_Keystore instance represents a collection of public key based credentials that belong to parties trusted by the manager of the keystore. 4 - Mixed value means CIM_Keystore instance represents a collection of both Trusted and Owned key based credentials.

Override | string | Usage
ValueMap | string | 2, 3, 4, .., 32768..65535
Values | string | Owned, Trusted, Mixed, DMTF Reserved, Vendor Specified

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_CredentialStore

## Class Methods